Loading...
Searching...
No Matches
mapping.h File Reference
`#include "mfem.hpp"`
`#include "stroid/config/config.h"`
`#include "fourdst/config/config.h"`
Include dependency graph for mapping.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | stroid
namespace | stroid::topology

## Functions

void | stroid::topology::ApplyEquiangular (mfem::Vector &pos)
| Apply an equiangular (gnomonic) projection to a point on a cube.
void | stroid::topology::ApplySpheroidal (mfem::Vector &pos, const fourdst::config::Config< config::MeshConfig > &config)
| Apply spheroidal flattening along the Z axis.
void | stroid::topology::ApplyKelvin (mfem::Vector &pos, const fourdst::config::Config< config::MeshConfig > &config)
| Apply Kelvin transform outside the stellar radius.
void | stroid::topology::TransformPoint (mfem::Vector &pos, const fourdst::config::Config< config::MeshConfig > &config, int attribute_id)
| Map a point from the initial block topology to the curvilinear domain.